<?php

namespace Bixo\Schedule\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class FollowUpsTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_schedule_follow_ups')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.schedule.follow_ups.view',
                'name'      => 'View FollowUps',
            ],
            [
                'slug'      => 'bixo.schedule.follow_ups.create',
                'name'      => 'Create FollowUps',
            ],
            [
                'slug'      => 'bixo.schedule.follow_ups.edit',
                'name'      => 'Update FollowUps',
            ],
            [
                'slug'      => 'bixo.schedule.follow_ups.delete',
                'name'      => 'Delete FollowUps',
            ],
            
                        [
                'slug'      => 'bixo.schedule.follow_ups.verify',
                'name'      => 'Verify FollowUps',
            ],
            [
                'slug'      => 'bixo.schedule.follow_ups.approve',
                'name'      => 'Approve FollowUps',
            ],
            [
                'slug'      => 'bixo.schedule.follow_ups.publish',
                'name'      => 'Publish FollowUps',
            ],
            [
                'slug'      => 'bixo.schedule.follow_ups.unpublish',
                'name'      => 'Unpublish FollowUps',
            ],
            [
                'slug'      => 'bixo.schedule.follow_ups.cancel',
                'name'      => 'Cancel FollowUps',
            ],
            [
                'slug'      => 'bixo.schedule.follow_ups.archive',
                'name'      => 'Archive FollowUps',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/schedule/follow_ups',
                'name'        => 'FollowUps',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/schedule/follow_ups',
                'name'        => 'FollowUps',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'follow_ups',
                'name'        => 'FollowUps',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Schedule',
                'module'    => 'FollowUps',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.schedule.follow_ups.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
