<?php

namespace Bixo\Schedule\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Schedule\Actions\FollowUpsReport;
use Bixo\Schedule\Http\Requests\FollowUpsReportRequest;

/**
 * Admin web controller class.
 */
class FollowUpsReportController extends BaseController
{
    /**
     * Action controller function for follow_ups.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(FollowUpsReportRequest $request, $report)
    {
        try {
        
            $this->model = app(FollowUps::class);
            $data = FollowUpsReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('schedule::follow_ups.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('schedule/follow_ups/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('schedule/follow_ups/' . $report))
                ->redirect();
        }
    }
}
